Skip to main content
GET
/
v1
/
scrape
/
twitter
/
community
Community
curl --request GET \
  --url https://api.sociavault.com/v1/scrape/twitter/community \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.sociavault.com/v1/scrape/twitter/community"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.sociavault.com/v1/scrape/twitter/community', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "success": true,
    "__typename": "Community",
    "is_member": false,
    "name": "The First Thousand",
    "role": "NonMember",
    "rest_id": "1926186499399139650",
    "actions": {
      "join_action_result": {
        "__typename": "CommunityJoinActionUnavailable"
      },
      "id": "Q29tbXVuaXR5QWN0aW9uczoxOTI2MTg2NDk5Mzk5MTM5NjUw"
    },
    "description": "This community is for creators and builders who are growing to their first 1,000 followers. Give insights, build your brand, and grow a loyal audience.",
    "creator_results": {
      "result": {
        "__typename": "User",
        "id": "VXNlcjoxOTIxMzY4NDU0NDQ5MjAxMTUy",
        "is_blue_verified": true,
        "core": {
          "screen_name": "carsonrmccann"
        },
        "verification": {
          "verified": false
        }
      },
      "id": "VXNlclJlc3VsdHM6MTkyMTM2ODQ1NDQ0OTIwMTE1Mg=="
    },
    "join_policy": "Open",
    "created_at": 1748073622931,
    "rules": {
      "0": {
        "rest_id": "1926189963793609186",
        "description": "This isn’t the space to drop ChatGPT engineered empty platitudes",
        "name": "No Empty Platitudes",
        "id": "Q29tbXVuaXR5UnVsZToxOTI2MTg5OTYzNzkzNjA5MTg2"
      }
    },
    "custom_banner_media": {
      "media_info": {
        "__typename": "ApiImage",
        "color_info": {
          "palette": {
            "0": {
              "rgb": {
                "red": 217,
                "green": 0,
                "blue": 17
              },
              "percentage": 85.22
            }
          }
        },
        "original_img_url": "https://pbs.twimg.com/community_banner_img/1930048753223745537/Ua814CNc?format=jpg&name=orig",
        "original_img_width": 1250,
        "original_img_height": 500
      },
      "id": "QXBpTWVkaWE6DAATCgABGsjpHX8WQAEAAA=="
    },
    "default_banner_media": {
      "media_info": {
        "__typename": "ApiImage",
        "color_info": {
          "palette": {
            "0": {
              "rgb": {
                "red": 118,
                "green": 88,
                "blue": 254
              },
              "percentage": 36.26
            }
          }
        },
        "original_img_url": "https://pbs.twimg.com/media/FECS7TfVcAcCrj2.jpg",
        "original_img_width": 1200,
        "original_img_height": 480
      },
      "id": "QXBpTWVkaWE6DAABCgABFECS7TfVcAcKAAITiFWq8lUQBAAA"
    },
    "members_facepile_results": {
      "0": {
        "result": {
          "__typename": "User",
          "avatar": {
            "image_url": "https://pbs.twimg.com/profile_images/1963429128402501632/J9C5efvR_normal.jpg"
          },
          "id": "VXNlcjoxOTIxMzY4NDU0NDQ5MjAxMTUy"
        },
        "id": "VXNlclJlc3VsdHM6MTkyMTM2ODQ1NDQ0OTIwMTE1Mg=="
      },
      "1": {
        "result": {
          "__typename": "User",
          "avatar": {
            "image_url": "https://pbs.twimg.com/profile_images/2011557694264479744/xS6eyqBz_normal.jpg"
          },
          "id": "VXNlcjo0MDA2ODgyNzYx"
        },
        "id": "VXNlclJlc3VsdHM6NDAwNjg4Mjc2MQ=="
      },
      "2": {
        "result": {
          "__typename": "User",
          "avatar": {
            "image_url": "https://pbs.twimg.com/profile_images/1947507215373332480/8oK6TPt5_normal.jpg"
          },
          "id": "VXNlcjoxOTI0NTI2MDM1NTUyNjMyODMy"
        },
        "id": "VXNlclJlc3VsdHM6MTkyNDUyNjAzNTU1MjYzMjgzMg=="
      },
      "3": {
        "result": {
          "__typename": "User",
          "avatar": {
            "image_url": "https://pbs.twimg.com/profile_images/1960798665720668160/VU298_nF_normal.jpg"
          },
          "id": "VXNlcjoxMDExNjE5NTY4NTA5NTA5NjMy"
        },
        "id": "VXNlclJlc3VsdHM6MTAxMTYxOTU2ODUwOTUwOTYzMg=="
      },
      "4": {
        "result": {
          "__typename": "User",
          "avatar": {
            "image_url": "https://pbs.twimg.com/profile_images/1790570742247043072/uyEKz7o__normal.jpg"
          },
          "id": "VXNlcjoxMTkyNTYxNzY4NTc0NDcyMTky"
        },
        "id": "VXNlclJlc3VsdHM6MTE5MjU2MTc2ODU3NDQ3MjE5Mg=="
      }
    },
    "member_count": 5533,
    "invites_result": {
      "__typename": "CommunityInvitesUnavailable"
    },
    "join_requests_result": {
      "__typename": "CommunityJoinRequestsUnavailable"
    },
    "is_nsfw": false,
    "trending_hashtags_slice": {
      "__typename": "CommunityHashtagSlice",
      "items": {}
    },
    "id": "Q29tbXVuaXR5OjE5MjYxODY0OTkzOTkxMzk2NTA="
  },
  "credits_used": 1,
  "endpoint": "twitter/community"
}
{
"error": "Missing required parameter: handle",
"endpoint": "<string>",
"credits_required": 123
}
{
"error": "Invalid API key",
"docs": "https://docs.sociavault.com/authentication"
}
{
"error": "Insufficient credits",
"required": 1,
"available": 0
}
{
"error": "Service configuration error"
}
💳 1 credit per request

Authorizations

X-API-Key
string
header
required

API key for authentication. Format: sk_live_xxxxxxxxxxxxx

Get your API key from the Dashboard.

Query Parameters

url
string
required

Community URL

Example:

"https://x.com/i/communities/1926186499399139650"

Response

Successful response

Key Response Fields:

  • rest_id: Unique community ID
  • name: Community display name
  • description: Community description text
  • join_policy: Membership policy (Open, RestrictedJoin, etc.)
  • created_at: Unix timestamp (ms) of community creation
  • member_count: Total number of community members
  • role: Your role in the community (e.g. NonMember)
  • is_member: Boolean indicating membership status
  • creator_results.result.core.screen_name: @handle of the community creator
  • rules[0].name / description: Community rules
  • custom_banner_media.media_info.original_img_url: Banner image URL
  • is_nsfw: Whether the community is marked NSFW